##########################################
# Toolchains and devkit directories      #
##########################################

NATIVE_GCC_DIR=/usr
TARGET_GCC_DIR=/opt/mipsel-elf

##########################################
# Configuration to build native programs #
##########################################

EXE_SUFFIX = 
NATIVE_CC = $(NATIVE_GCC_DIR)/bin/gcc
NATIVE_CPP = $(NATIVE_GCC_DIR)/bin/g++
NATIVE_LD = $(NATIVE_GCC_DIR)/bin/gcc
NATIVE_AS = $(NATIVE_GCC_DIR)/bin/as
NATIVE_AR = $(NATIVE_GCC_DIR)/bin/ar
NATIVE_BIN = $(NATIVE_GCC_DIR)/bin
NATIVE_INC = $(NATIVE_GCC_DIR)/include
NATIVE_LIB = $(NATIVE_GCC_DIR)/lib

##########################################
# Configuration to build dingoo programs #
##########################################

AS = $(TARGET_GCC_DIR)/bin/mipsel-elf-as
LD = $(TARGET_GCC_DIR)/bin/mipsel-elf-gcc
CC = $(TARGET_GCC_DIR)/bin/mipsel-elf-gcc
CPP = $(TARGET_GCC_DIR)/bin/mipsel-elf-g++
AR = $(TARGET_GCC_DIR)/bin/mipsel-elf-ar
OBJCOPY = $(TARGET_GCC_DIR)/bin/mipsel-elf-objcopy
OBJDUMP = $(TARGET_GCC_DIR)/bin/mipsel-elf-objdump
